.. contents::

Welcome to the troubleshooting wiki page. We hope you'll find your
problem here. Ideally, solution as well.

`Determining version information, dealing with "unknown
procedure" <Determining_version_information_dealing_with_unknown_procedure.html>`__

`The daemon cannot be started <The_daemon_cannot_be_started.html>`__

`Failed to connect to the
hypervisor <Failed_to_connect_to_the_hypervisor.html>`__

`Domain cannot be installed <Domain_cannot_be_installed.html>`__

`The domain cannot be started when specifying different
processor <The_domain_cannot_be_started_when_specifying_different_processor.html>`__

`Domain starting fails with Error "monitor socket did not show
up" <Domain_starting_fails_with_Error_monitor_socket_did_not_show_up.html>`__

`Error "internal error cannot find character device" when trying to
connect a domain's
console <Error_internal_error_cannot_find_character_device_when_trying_to_connect_a_domains_console.html>`__

`After import a guest from an existing disk image using virt-install,
the guest starting stalls with "No boot
device" <After_import_a_guest_from_an_existing_disk_image_using_virt-install_the_guest_starting_stalls_with_No_boot_device.html>`__

`Creating VMWare ESXi domain failed with error "this function is not
supported by the connection driver:
virDomainCreateXML" <Creating_VMWare_ESXi_domain_failed_with_error_this_function_is_not_supported_by_the_connection_driver_virDomainCreateXML.html>`__

`Virtual network 'default' has not been
started <Virtual_network_default_has_not_been_started.html>`__

`PXE boot (or dhcp) on guest failed <PXE_boot_or_dhcp_on_guest_failed.html>`__

`Guest can reach host, but can't reach outside
network <Guest_can_reach_host_but_cant_reach_outside_network.html>`__

`Guest can reach outside network, but can't reach host
(macvtap) <TroubleshootMacvtapHostFail.html>`__

`Guest can reach , but can't reach outside network (macvtap)
<Guest_can_reach_outside_network_but_cant_reach_host_macvtap.html>`__

`Could not add rule to fixup DHCP response checksums on network
'default' <Could_not_add_rule_to_fixup_DHCP_response_checksums_on_network_default.html>`__

`Unable to add bridge br0 port vnet0: No such
device <Unable_to_add_bridge_br0_port_vnet0_No_such_device.html>`__

`Common XML errors <Common_XML_errors.html>`__

`Migration fails with "Unable to resolve address"
error <Migration_fails_with_Unable_to_resolve_address_error.html>`__

`Migration fails because disk image cannot be
found <Migration_fails_because_disk_image_cannot_be_found.html>`__

`No guest machines are present <No_guest_machines_are_present.html>`__

`Libvirt daemon is not listening on tcp ports although configured
to <Libvirt_daemon_is_not_listening_on_tcp_ports_although_configured_to.html>`__

`Libvirt identifies host processor as a different model from the
hardware
documentation <Libvirt_identifies_host_processor_as_a_different_model_from_the_hardware_documentation.html>`__

`I created an external snapshot, but libvirt will not let me delete or
revert to
it <I_created_an_external_snapshot_but_libvirt_will_not_let_me_delete_or_revert_to_it.html>`__

`Unable to connect to a console of a running domain
<Unable_to_connect_to_console_of_a_running_domain.html>`__
